<?php
/**
 * @package		Skillset
 * @subpackage	Skillset
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2014 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.0.0
 */

// no direct access
defined('_JEXEC') or die;

$skills = rtrim($params->get('skills'), "|");
$skills = explode('|', $skills);
$totalitems = count($skills);

// The Loop
foreach ( $skills as $key => $skill ) { 
	$skill = explode(',', $skill); 
	$count = str_replace('%', '', $skill[1]);
?>
		
	<div id="count-<?php echo $key;?>-<?php echo $module->id;?>" class="skill-count-item skill-count-item-<?php echo $module->id;?> skill-count-items-<?php echo $totalitems;?> skill-count-item<?php echo $key;?>">
			<h2></h2>
			<p><strong><?php echo $skill[0];?></strong></p>
	</div>
	
	<script>
	
	jQuery( document ).ready(function() {
		// If visible
		jQuery('.skill-count-item-<?php echo $module->id;?>').each(function(i, el){
			var el = jQuery(el);
			if (el.visible(true)) {
				if(jQuery('#count-<?php echo $key;?>-<?php echo $module->id;?> h2').text() == '') {
					countup('#count-<?php echo $key;?>-<?php echo $module->id;?> h2', '<?php echo $count;?>');
			  	}
			}
		});
				
		// Only trigger the effect if the item is visible
		jQuery(window).scroll(function(event) {
			jQuery('.skill-count-item-<?php echo $module->id;?>').each(function(i, el){
				var el = jQuery(el);
				if (el.visible(true)) {
					if(jQuery('#count-<?php echo $key;?>-<?php echo $module->id;?> h2').text() == '') {
						countup('#count-<?php echo $key;?>-<?php echo $module->id;?> h2', '<?php echo $count;?>');
				  	}
				}
			});
		});
	});
	</script>
	<?php } ?>
	<div class="clearfix"></div>
	<script>				
	function countup(element, total) {
	   
	    var current = 0;
	    var finish = total;
	    var miliseconds = 1000;
	    var rate = 1;
		
		if(current == 0) {
		    var counter = setInterval(function(){
		         if(current >= finish) clearInterval(counter);
		         jQuery(element).text(current);
		         current = parseInt(current) + parseInt(rate);
		    }, miliseconds / (finish / rate));
		}
	};
</script>